Bug 12223 - Bad ISO-8859-2 font in graphics installer
Bad ISO-8859-2 font in graphics installer
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On: 27072
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-13 17:24 EDT by Milan Kerslager
Modified: 2007-03-26 23:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-02 11:04:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milan Kerslager 2000-06-13 17:24:38 EDT
The ISO-8859-2 font which is used in the graphics installation is really 
bad. The metrics is incorrect and the resolution for large letters are in 
very low resolution. Also fixed font for screen with 'fdisk' is 8859-1 
instead of 8859-2 (fdisk use locale and correct translations).
Comment 1 Milan Kerslager 2000-06-13 17:36:23 EDT
I forgot - easy test is to pick up Czech language (we use 8859-2 font and we 
have all translations for 6.2 incl. help texts). Fdisk is also localized and 
correct word in the left upper corner should look like 'Prikaz' instead of 
'Poikaz' (with punctuation above 'r').
Comment 2 David Balažic 2000-06-19 12:39:02 EDT
This also happens when selecting "Slovenian" language. The fonts are too big, 
they are bold etc. If I hit BACK and select "English" then it doesn't switch 
back to the original font, but leaves the ugly one.
Comment 3 Brock Organ 2000-07-17 14:16:37 EDT
verified czech fdisk bug (appears Poikaz) using beta1 ... 

additionally, (cdrom install) selecting czech, romanian in GUI mode in beta3
causes a machine reboot (didn't in beta1) ...

Hungarian help text in GUI mode is mangled ...
Comment 4 Milan Kerslager 2000-07-25 16:25:18 EDT
The font for help are OK in beta4 (Czech lang tested). There is still bad fixed
font (ie. non-ISO-8859-2) at least for Czech language in 'fdisk' screen. I mean
the screen where fdisk is running and where is input/output for fdisk command.

Machine did not reboot when Czech language is selected.
Comment 5 Milan Kerslager 2000-07-27 10:54:46 EDT
The bad font are here again. When selecting Czech language, ISO-8859-2 fonts are
ugly and big. This affect the help texts and the menu too.
Comment 6 Milan Kerslager 2000-07-28 05:48:13 EDT
The fixed font for 'fdisk' in GUI is still 8859-1 instead of 8859-2 as other
fonts are when doing graphical installation in Czech language.
Comment 7 David Balažic 2000-08-07 08:20:11 EDT
pinstripe , GUI , Slovene language , still bad fonts.
The font in the online help is big and  "pixelized".
The font for the rest of screen looks like bold.
Comment 8 Milan Kerslager 2000-08-10 20:56:57 EDT
The proportional 8859-2 fonts (help & labels) are ok in RC1 (aren't bold and aren't ugly).

There is bad fixed font (ie 8859-1 instead of 8859-2) in the fdisk screen still. Fdisk is localized and thus the printed texts are almost unreadable. See 
the report above ("Poikaz" issue).
Comment 9 David Balažic 2000-08-23 04:39:54 EDT
In RC1 GUI install.
In serbian language the font is still bad.
( "low resolution" or "mosaic" effect in the on-line
help font, the rest of the screen uses some bold font,
which is missing some serbian characters, I guess latin2
should be used, but is not )
If I go back and select slovenian language, the the help font
is set OK, but rest is still using that bold font.
Comment 10 Matt Wilson 2001-01-26 21:01:27 EST
if you can give me the filenames of the fonts that should be used, I'll include
them on the CD.
Comment 11 Michael Fulbright 2001-02-23 12:29:05 EST
Closing due to inactivity.
Comment 12 David Balažic 2001-03-05 12:35:15 EST
Rising from the grave ....

On Wolverine CD GUI install

I did this :
Select Slovenian language, NEXT
The font used for the online help is bad.
The bigger letters ( Chapter title ) are blocky, like if they
were rendered in 320x200. The smaller letters seem to be squashed
horizontally, but only a little bit, maybe I'm just seeing things :-)
The font used for the rest of the screen is bold.
Go BACK, select English, NEXT.
The help text is now OK, but the rest is still bold.
BACK , Russian , NEXT
All text is cyrillic and appears ( to me ) as OK.
BACK , english , NEXT 
All text is OK, 10 points to me !
Comment 13 Matt Wilson 2001-03-05 12:37:00 EST
should be fixed in RC2.
Comment 14 Milan Kerslager 2001-06-29 21:47:02 EDT
The ugly font are again here. Seawolf has them too. The problem is that image on
the first disk for installer doesn't contain ISO-8859-2 fonts (ie latin2).
package with 8859-2 font should be added to the script which generate image for
the installer. Also XF86Config generation should be modified to contain patch
for these fonts.

Also try to select Czech (ISO-8859-2 language) language on the first screen, go
forward, then back, choose Englich (Anglicky) and go forward. Anaconda did not
change fonts to the ISO-8859-1 family.

Please fix as this cause very ugly look of Anaconda installtion process.
Comment 15 Milan Kerslager 2001-06-30 04:27:30 EDT

*** This bug has been marked as a duplicate of 27072 ***
Comment 16 Milan Kerslager 2001-06-30 04:38:52 EDT
Oh sorry, I filled up dependency between bugs. This one is related to anaconda 
and #27072 is related to the XFree86 package.
Comment 17 Milan Kerslager 2001-06-30 05:35:45 EDT
Great. fdisk has 8859-2 font in GUI. This is good.

Hope for fixing the rest (proper 8859-2 fonts in help screen).
Comment 18 Matt Wilson 2001-07-08 18:07:45 EDT
(this is actually a different bug than 12223.)

should be fixed for beta2, as long as the XFree86 package has the fonts there
for us to use.

Note You need to log in before you can comment on or make changes to this bug.